Bug 1266584

Summary: python-markups should depend on python-textile
Product: [Fedora] Fedora Reporter: Giulio 'juliuxpigface' <juliux.pigface>
Component: python-markupsAssignee: Mario Bl├Ąttermann <mario.blaettermann>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: mario.blaettermann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-markups-0.6.3-4.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-09 15:32:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Giulio 'juliuxpigface' 2015-09-25 17:42:34 UTC
Description of problems:
1. python-markups doesn't provide python-textile
2. python3-markups doesnt' provide python3-textile

Version-Release number of selected component (if applicable):
python-markups-0.6.3-3.fc23

How reproducible:
Always

Steps to Reproduce (inside a python shell):
1.import markups
2.test_two = markups.TextileMarkup()

Actual results:
>>> test_two = markups.TextileMarkup()

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/markups/textile.py", line 34, in __init__
    from textile import Textile
ImportError: No module named textile

Expected results:
1. The installation of python-markups should provide python-textile
2. The installation of python3-markups should provide python3-textile

Additional info:
I wrote here only the output taken from a python2 shell, but it's easily reproducible with python3 as well.

Again... Sorry if I didn't report this together with #1265001, but I've just found this new issue.

Comment 1 Fedora Update System 2015-09-26 20:29:35 UTC
python-markups-0.6.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f439b8219

Comment 2 Fedora Update System 2015-09-27 07:22:38 UTC
python-markups-0.6.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-markups'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f439b8219

Comment 3 Fedora Update System 2015-10-09 15:32:44 UTC
python-markups-0.6.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.